Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.stat
Class SimCallCenterStat

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.stat.AbstractCallCenterStatProbes
          umontreal.iro.lecuyer.contactcenters.msk.stat.SimCallCenterStat

All Implemented Interfaces:
  CallCenterStatProbes

    public class SimCallCenterStat

extends AbstractCallCenterStatProbes

Represents call center statistics obtained directly via call center measures. An instance of this class is created using an instance of `CallCenterMeasureManager`. Each time the `addObs()` method is called, the counters are read from the call center measures, and added to associated collectors.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.stat.AbstractCallCenterStatProbes
`fmmTallyMap, tallyMap`

Constructor Summary
`SimCallCenterStat(CallCenter cc, CallCenterMeasureManager ccm, boolean keepObs, boolean normalizeToDefaultUnit, PerformanceMeasureType... pms)` Constructs a new simulation-based call center statistics object.

Method Summary
`void` | `addObs()` Adds new observations obtained via measure matrices.
`void` | `addObs(int startingMainPeriod, int endingMainPeriod)`
`void` | `addObsRawStatistics()`
`CallCenterMeasureManager` | `getCallCenterMeasureManager()` Returns the call center measures used for to collect observations.
`void` | `initRawStatistics()`
`void` | `recomputeTimeAggregates()` Recomputes time-aggregate statistics in a setting where the number of observations in statistical collectors differs from periods to periods.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.stat.AbstractCallCenterStatProbes
`getAverage, getConfidenceInterval, getMatricesOfStatProbes, getMatrixOfFunctionOfMultipleMeansTallies, getMatrixOfStatProbes, getMatrixOfTallies, getMatrixOfTallyStores, getMax, getMin, getPerformanceMeasures, getVariance, getVarianceOfAverage, hasPerformanceMeasure, init, initPerformanceMeasures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimCallCenterStat

    public SimCallCenterStat(CallCenter cc,
                             CallCenterMeasureManager ccm,
                             boolean keepObs,
                             boolean normalizeToDefaultUnit,
                             PerformanceMeasureType... pms)

  Constructs a new simulation-based call center statistics object. The constructor queries the given simulation logic for the supported measure types, and creates the necessary statistical probes.

  Parameters:
    `ccm` - the simulation logic.

Method Detail

### getCallCenterMeasureManager

    public CallCenterMeasureManager getCallCenterMeasureManager()

  Returns the call center measures used for to collect observations.

### addObs

    public void addObs()

  Adds new observations obtained via measure matrices. This uses `CallCenterMeasureManager.getValues(umontreal.iro.lecuyer.contactcenters.msk.stat.MeasureType, boolean)` to convert every available matrix of measures into matrices of double-precision values, and adds the resulting matrices to matrices of Tallies.

### initRawStatistics

    public void initRawStatistics()

### addObsRawStatistics

    public void addObsRawStatistics()

### addObs

    public void addObs(int startingMainPeriod,
                       int endingMainPeriod)

### recomputeTimeAggregates

    public void recomputeTimeAggregates()

  Recomputes time-aggregate statistics in a setting where the number of observations in statistical collectors differs from periods to periods. This method processes each matrix of Tallies containing observations for several periods in the following way. Assuming that the processed matrix contains P + 1 columns, for each row r, this method gets the average for each period p = 0,…, P - 1 and adds them up to get the time-aggregate average. Then, the Tally at position (r, P) is reset and the newly computed time-aggregate average is added.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.